#FROM lblanp/panda:base-ros-plugin
#FROM lblanp/panda:base-panda-plugin
FROM registry.gitlab.com/lbl-anp/panda/dawn_pipeline/base-panda-plugin:v1.0.3

#RUN pip3 install https://github.com/waggle-sensor/pywaggle/archive/v0.40.4.zip
RUN pip3 install pywaggle
RUN pip3 install tornado simplejpeg
RUN pip3 install deprecated

# some dep (e.g. stark) will install 2.30, which has installtion issues
RUN pip3 install iminuit==2.26

COPY ros_numpy /home/panda/ros_numpy
WORKDIR /home/panda/ros_numpy
RUN python3 setup.py install --user

COPY curie /home/panda/curie
WORKDIR /home/panda/curie
RUN python setup.py install --user

COPY stark /home/panda/stark
WORKDIR /home/panda/stark
RUN python setup.py install --user

WORKDIR /home/panda/panda_ws
COPY rosboard src/rosboard
# to build messages
COPY curie_ros src/curie_ros
COPY stark_ros src/stark_ros
COPY env_ros_msgs src/env_ros_msgs
COPY raingauge_ros_msgs src/raingauge_ros_msgs
COPY raingauge_ros src/raingauge_ros
COPY bard_ros_msgs src/bard_ros_msgs
RUN /bin/bash -c '. /home/panda/.bashrc; catkin_make -DPYTHON_EXECUTABLE=/usr/bin/python3'

WORKDIR /home/panda
RUN mkdir -p mount/bags
RUN mkdir plugin-scripts
COPY plugin.sh plugin-scripts/plugin.sh

EXPOSE 8888

CMD ["/bin/bash", "-c", "./plugin-scripts/plugin.sh"]
